Class NetworkAdapter
Represents an adapter for the Network domain to simplify the command interface.
public class NetworkAdapter
- Inheritance
-
NetworkAdapter
- Inherited Members
Constructors
NetworkAdapter(IDevToolsSession)
Initializes a new instance of the NetworkAdapter class.
public NetworkAdapter(IDevToolsSession session)
Parameters
sessionIDevToolsSessionThe IDevToolsSession to be used with this adapter.
Exceptions
- ArgumentNullException
If
sessionis null.
Properties
Session
Gets the DevToolsSession associated with the adapter.
public IDevToolsSession Session { get; }
Property Value
Methods
CanClearBrowserCache(CanClearBrowserCacheCommandSettings?, CancellationToken, int?, bool)
Tells whether clearing browser cache is supported.
public Task<CanClearBrowserCacheCommandResponse> CanClearBrowserCache(CanClearBrowserCacheCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandCanClearBrowserCacheCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
CanClearBrowserCookies(CanClearBrowserCookiesCommandSettings?, CancellationToken, int?, bool)
Tells whether clearing browser cookies is supported.
public Task<CanClearBrowserCookiesCommandResponse> CanClearBrowserCookies(CanClearBrowserCookiesCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandCanClearBrowserCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
CanEmulateNetworkConditions(CanEmulateNetworkConditionsCommandSettings?, CancellationToken, int?, bool)
Tells whether emulation of network conditions is supported.
public Task<CanEmulateNetworkConditionsCommandResponse> CanEmulateNetworkConditions(CanEmulateNetworkConditionsCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandCanEmulateNetworkConditionsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ClearAcceptedEncodingsOverride(ClearAcceptedEncodingsOverrideCommandSettings?, CancellationToken, int?, bool)
Clears accepted encodings set by setAcceptedEncodings
public Task<ClearAcceptedEncodingsOverrideCommandResponse?> ClearAcceptedEncodingsOverride(ClearAcceptedEncodingsOverrideCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandClearAcceptedEncodingsOverrideCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ClearBrowserCache(ClearBrowserCacheCommandSettings?, CancellationToken, int?, bool)
Clears browser cache.
public Task<ClearBrowserCacheCommandResponse?> ClearBrowserCache(ClearBrowserCacheCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandClearBrowserCacheCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ClearBrowserCookies(ClearBrowserCookiesCommandSettings?, CancellationToken, int?, bool)
Clears browser cookies.
public Task<ClearBrowserCookiesCommandResponse?> ClearBrowserCookies(ClearBrowserCookiesCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandClearBrowserCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ConfigureDurableMessages(ConfigureDurableMessagesCommandSettings, CancellationToken, int?, bool)
Configures storing response bodies outside of renderer, so that these survive a cross-process navigation. If maxTotalBufferSize is not set, durable messages are disabled.
public Task<ConfigureDurableMessagesCommandResponse?> ConfigureDurableMessages(ConfigureDurableMessagesCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandConfigureDurableMessagesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ContinueInterceptedRequest(ContinueInterceptedRequestCommandSettings, CancellationToken, int?, bool)
Response to Network.requestIntercepted which either modifies the request to continue with any modifications, or blocks it, or completes it with the provided response bytes. If a network fetch occurs as a result which encounters a redirect an additional Network.requestIntercepted event will be sent with the same InterceptionId. Deprecated, use Fetch.continueRequest, Fetch.fulfillRequest and Fetch.failRequest instead.
public Task<ContinueInterceptedRequestCommandResponse?> ContinueInterceptedRequest(ContinueInterceptedRequestCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandContinueInterceptedRequestCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
DeleteCookies(DeleteCookiesCommandSettings, CancellationToken, int?, bool)
Deletes browser cookies with matching name and url or domain/path/partitionKey pair.
public Task<DeleteCookiesCommandResponse?> DeleteCookies(DeleteCookiesCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandDeleteCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Disable(DisableCommandSettings?, CancellationToken, int?, bool)
Disables network tracking, prevents network events from being sent to the client.
public Task<DisableCommandResponse?> Disable(DisableCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandDisableCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
EmulateNetworkConditions(EmulateNetworkConditionsCommandSettings, CancellationToken, int?, bool)
Activates emulation of network conditions. This command is deprecated in favor of the emulateNetworkConditionsByRule and overrideNetworkState commands, which can be used together to the same effect.
public Task<EmulateNetworkConditionsCommandResponse?> EmulateNetworkConditions(EmulateNetworkConditionsCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEmulateNetworkConditionsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
EmulateNetworkConditionsByRule(EmulateNetworkConditionsByRuleCommandSettings, CancellationToken, int?, bool)
Activates emulation of network conditions for individual requests using URL match patterns. Unlike the deprecated
Network.emulateNetworkConditions this method does not affect navigator state. Use Network.overrideNetworkState to
explicitly modify navigator behavior.
public Task<EmulateNetworkConditionsByRuleCommandResponse> EmulateNetworkConditionsByRule(EmulateNetworkConditionsByRuleCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEmulateNetworkConditionsByRuleCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Enable(EnableCommandSettings, CancellationToken, int?, bool)
Enables network tracking, network events will now be delivered to the client.
public Task<EnableCommandResponse?> Enable(EnableCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEnableCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
EnableDeviceBoundSessions(EnableDeviceBoundSessionsCommandSettings, CancellationToken, int?, bool)
Sets up tracking device bound sessions and fetching of initial set of sessions.
public Task<EnableDeviceBoundSessionsCommandResponse?> EnableDeviceBoundSessions(EnableDeviceBoundSessionsCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEnableDeviceBoundSessionsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
EnableReportingApi(EnableReportingApiCommandSettings, CancellationToken, int?, bool)
Enables tracking for the Reporting API, events generated by the Reporting API will now be delivered to the client. Enabling triggers 'reportingApiReportAdded' for all existing reports.
public Task<EnableReportingApiCommandResponse?> EnableReportingApi(EnableReportingApiCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandEnableReportingApiCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
FetchSchemefulSite(FetchSchemefulSiteCommandSettings, CancellationToken, int?, bool)
Fetches the schemeful site for a specific origin.
public Task<FetchSchemefulSiteCommandResponse> FetchSchemefulSite(FetchSchemefulSiteCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandFetchSchemefulSiteCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetAllCookies(GetAllCookiesCommandSettings?, CancellationToken, int?, bool)
Returns all browser cookies. Depending on the backend support, will return detailed cookie
information in the cookies field.
Deprecated. Use Storage.getCookies instead.
public Task<GetAllCookiesCommandResponse> GetAllCookies(GetAllCookiesCommandSettings? command = null, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetAllCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetCertificate(GetCertificateCommandSettings, CancellationToken, int?, bool)
Returns the DER-encoded certificate.
public Task<GetCertificateCommandResponse> GetCertificate(GetCertificateCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetCertificateCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetCookies(GetCookiesCommandSettings, CancellationToken, int?, bool)
Returns all browser cookies for the current URL. Depending on the backend support, will return
detailed cookie information in the cookies field.
public Task<GetCookiesCommandResponse> GetCookies(GetCookiesCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetRequestPostData(GetRequestPostDataCommandSettings, CancellationToken, int?, bool)
Returns post data sent with the request. Returns an error when no data was sent with the request.
public Task<GetRequestPostDataCommandResponse> GetRequestPostData(GetRequestPostDataCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetRequestPostDataCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetResponseBody(GetResponseBodyCommandSettings, CancellationToken, int?, bool)
Returns content served for the given request.
public Task<GetResponseBodyCommandResponse> GetResponseBody(GetResponseBodyCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetResponseBodyCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetResponseBodyForInterception(GetResponseBodyForInterceptionCommandSettings, CancellationToken, int?, bool)
Returns content served for the given currently intercepted request.
public Task<GetResponseBodyForInterceptionCommandResponse> GetResponseBodyForInterception(GetResponseBodyForInterceptionCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetResponseBodyForInterceptionCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
GetSecurityIsolationStatus(GetSecurityIsolationStatusCommandSettings, CancellationToken, int?, bool)
Returns information about the COEP/COOP isolation status.
public Task<GetSecurityIsolationStatusCommandResponse> GetSecurityIsolationStatus(GetSecurityIsolationStatusCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandGetSecurityIsolationStatusCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
LoadNetworkResource(LoadNetworkResourceCommandSettings, CancellationToken, int?, bool)
Fetches the resource and returns the content.
public Task<LoadNetworkResourceCommandResponse> LoadNetworkResource(LoadNetworkResourceCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandLoadNetworkResourceCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
OverrideNetworkState(OverrideNetworkStateCommandSettings, CancellationToken, int?, bool)
Override the state of navigator.onLine and navigator.connection.
public Task<OverrideNetworkStateCommandResponse?> OverrideNetworkState(OverrideNetworkStateCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandOverrideNetworkStateCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
ReplayXHR(ReplayXHRCommandSettings, CancellationToken, int?, bool)
This method sends a new XMLHttpRequest which is identical to the original one. The following parameters should be identical: method, url, async, request body, extra headers, withCredentials attribute, user, password.
public Task<ReplayXHRCommandResponse?> ReplayXHR(ReplayXHRCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandReplayXHRCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SearchInResponseBody(SearchInResponseBodyCommandSettings, CancellationToken, int?, bool)
Searches for given string in response content.
public Task<SearchInResponseBodyCommandResponse> SearchInResponseBody(SearchInResponseBodyCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSearchInResponseBodyCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetAcceptedEncodings(SetAcceptedEncodingsCommandSettings, CancellationToken, int?, bool)
Sets a list of content encodings that will be accepted. Empty list means no encoding is accepted.
public Task<SetAcceptedEncodingsCommandResponse?> SetAcceptedEncodings(SetAcceptedEncodingsCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetAcceptedEncodingsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetAttachDebugStack(SetAttachDebugStackCommandSettings, CancellationToken, int?, bool)
Specifies whether to attach a page script stack id in requests
public Task<SetAttachDebugStackCommandResponse?> SetAttachDebugStack(SetAttachDebugStackCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetAttachDebugStackCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetBlockedURLs(SetBlockedURLsCommandSettings, CancellationToken, int?, bool)
Blocks URLs from loading.
public Task<SetBlockedURLsCommandResponse?> SetBlockedURLs(SetBlockedURLsCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetBlockedURLsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetBypassServiceWorker(SetBypassServiceWorkerCommandSettings, CancellationToken, int?, bool)
Toggles ignoring of service worker for each request.
public Task<SetBypassServiceWorkerCommandResponse?> SetBypassServiceWorker(SetBypassServiceWorkerCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetBypassServiceWorkerCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetCacheDisabled(SetCacheDisabledCommandSettings, CancellationToken, int?, bool)
Toggles ignoring cache for each request. If true, cache will not be used.
public Task<SetCacheDisabledCommandResponse?> SetCacheDisabled(SetCacheDisabledCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetCacheDisabledCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetCookie(SetCookieCommandSettings, CancellationToken, int?, bool)
Sets a cookie with the given cookie data; may overwrite equivalent cookies if they exist.
public Task<SetCookieCommandResponse> SetCookie(SetCookieCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetCookieCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetCookieControls(SetCookieControlsCommandSettings, CancellationToken, int?, bool)
Sets Controls for third-party cookie access Page reload is required before the new cookie behavior will be observed
public Task<SetCookieControlsCommandResponse?> SetCookieControls(SetCookieControlsCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetCookieControlsCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetCookies(SetCookiesCommandSettings, CancellationToken, int?, bool)
Sets given cookies.
public Task<SetCookiesCommandResponse?> SetCookies(SetCookiesCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetCookiesCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetExtraHTTPHeaders(SetExtraHTTPHeadersCommandSettings, CancellationToken, int?, bool)
Specifies whether to always send extra HTTP headers with the requests from this page.
public Task<SetExtraHTTPHeadersCommandResponse?> SetExtraHTTPHeaders(SetExtraHTTPHeadersCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetExtraHTTPHeadersCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetRequestInterception(SetRequestInterceptionCommandSettings, CancellationToken, int?, bool)
Sets the requests to intercept that match the provided patterns and optionally resource types. Deprecated, please use Fetch.enable instead.
public Task<SetRequestInterceptionCommandResponse?> SetRequestInterception(SetRequestInterceptionCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetRequestInterceptionCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
SetUserAgentOverride(SetUserAgentOverrideCommandSettings, CancellationToken, int?, bool)
Allows overriding user agent with the given string.
public Task<SetUserAgentOverrideCommandResponse?> SetUserAgentOverride(SetUserAgentOverrideCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandSetUserAgentOverrideCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
StreamResourceContent(StreamResourceContentCommandSettings, CancellationToken, int?, bool)
Enables streaming of the response for the given requestId. If enabled, the dataReceived event contains the data that was received during streaming.
public Task<StreamResourceContentCommandResponse> StreamResourceContent(StreamResourceContentCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandStreamResourceContentCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
TakeResponseBodyForInterceptionAsStream(TakeResponseBodyForInterceptionAsStreamCommandSettings, CancellationToken, int?, bool)
Returns a handle to the stream representing the response body. Note that after this command, the intercepted request can't be continued as is -- you either need to cancel it or to provide the response body. The stream only supports sequential read, IO.read will fail if the position is specified.
public Task<TakeResponseBodyForInterceptionAsStreamCommandResponse> TakeResponseBodyForInterceptionAsStream(TakeResponseBodyForInterceptionAsStreamCommandSettings command, CancellationToken cancellationToken = default, int? millisecondsTimeout = null, bool throwExceptionIfResponseNotReceived = true)
Parameters
commandTakeResponseBodyForInterceptionAsStreamCommandSettingscancellationTokenCancellationTokenmillisecondsTimeoutint?throwExceptionIfResponseNotReceivedbool
Returns
Events
DataReceived
Fired when data chunk was received over the network.
public event EventHandler<DataReceivedEventArgs>? DataReceived
Event Type
DeviceBoundSessionEventOccurred
Triggered when a device bound session event occurs.
public event EventHandler<DeviceBoundSessionEventOccurredEventArgs>? DeviceBoundSessionEventOccurred
Event Type
DeviceBoundSessionsAdded
Triggered when the initial set of device bound sessions is added.
public event EventHandler<DeviceBoundSessionsAddedEventArgs>? DeviceBoundSessionsAdded
Event Type
DirectTCPSocketAborted
Fired when direct_socket.TCPSocket is aborted.
public event EventHandler<DirectTCPSocketAbortedEventArgs>? DirectTCPSocketAborted
Event Type
DirectTCPSocketChunkReceived
Fired when data is received from tcp direct socket stream.
public event EventHandler<DirectTCPSocketChunkReceivedEventArgs>? DirectTCPSocketChunkReceived
Event Type
DirectTCPSocketChunkSent
Fired when data is sent to tcp direct socket stream.
public event EventHandler<DirectTCPSocketChunkSentEventArgs>? DirectTCPSocketChunkSent
Event Type
DirectTCPSocketClosed
Fired when direct_socket.TCPSocket is closed.
public event EventHandler<DirectTCPSocketClosedEventArgs>? DirectTCPSocketClosed
Event Type
DirectTCPSocketCreated
Fired upon direct_socket.TCPSocket creation.
public event EventHandler<DirectTCPSocketCreatedEventArgs>? DirectTCPSocketCreated
Event Type
DirectTCPSocketOpened
Fired when direct_socket.TCPSocket connection is opened.
public event EventHandler<DirectTCPSocketOpenedEventArgs>? DirectTCPSocketOpened
Event Type
DirectUDPSocketAborted
Fired when direct_socket.UDPSocket is aborted.
public event EventHandler<DirectUDPSocketAbortedEventArgs>? DirectUDPSocketAborted
Event Type
DirectUDPSocketChunkReceived
Fired when message is received from udp direct socket stream.
public event EventHandler<DirectUDPSocketChunkReceivedEventArgs>? DirectUDPSocketChunkReceived
Event Type
DirectUDPSocketChunkSent
Fired when message is sent to udp direct socket stream.
public event EventHandler<DirectUDPSocketChunkSentEventArgs>? DirectUDPSocketChunkSent
Event Type
DirectUDPSocketClosed
Fired when direct_socket.UDPSocket is closed.
public event EventHandler<DirectUDPSocketClosedEventArgs>? DirectUDPSocketClosed
Event Type
DirectUDPSocketCreated
Fired upon direct_socket.UDPSocket creation.
public event EventHandler<DirectUDPSocketCreatedEventArgs>? DirectUDPSocketCreated
Event Type
DirectUDPSocketJoinedMulticastGroup
directUDPSocketJoinedMulticastGroup
public event EventHandler<DirectUDPSocketJoinedMulticastGroupEventArgs>? DirectUDPSocketJoinedMulticastGroup
Event Type
DirectUDPSocketLeftMulticastGroup
directUDPSocketLeftMulticastGroup
public event EventHandler<DirectUDPSocketLeftMulticastGroupEventArgs>? DirectUDPSocketLeftMulticastGroup
Event Type
DirectUDPSocketOpened
Fired when direct_socket.UDPSocket connection is opened.
public event EventHandler<DirectUDPSocketOpenedEventArgs>? DirectUDPSocketOpened
Event Type
EventSourceMessageReceived
Fired when EventSource message is received.
public event EventHandler<EventSourceMessageReceivedEventArgs>? EventSourceMessageReceived
Event Type
LoadingFailed
Fired when HTTP request has failed to load.
public event EventHandler<LoadingFailedEventArgs>? LoadingFailed
Event Type
LoadingFinished
Fired when HTTP request has finished loading.
public event EventHandler<LoadingFinishedEventArgs>? LoadingFinished
Event Type
PolicyUpdated
Fired once security policy has been updated.
public event EventHandler<PolicyUpdatedEventArgs>? PolicyUpdated
Event Type
ReportingApiEndpointsChangedForOrigin
reportingApiEndpointsChangedForOrigin
public event EventHandler<ReportingApiEndpointsChangedForOriginEventArgs>? ReportingApiEndpointsChangedForOrigin
Event Type
ReportingApiReportAdded
Is sent whenever a new report is added. And after 'enableReportingApi' for all existing reports.
public event EventHandler<ReportingApiReportAddedEventArgs>? ReportingApiReportAdded
Event Type
ReportingApiReportUpdated
reportingApiReportUpdated
public event EventHandler<ReportingApiReportUpdatedEventArgs>? ReportingApiReportUpdated
Event Type
RequestIntercepted
Details of an intercepted HTTP request, which must be either allowed, blocked, modified or mocked. Deprecated, use Fetch.requestPaused instead.
public event EventHandler<RequestInterceptedEventArgs>? RequestIntercepted
Event Type
RequestServedFromCache
Fired if request ended up loading from cache.
public event EventHandler<RequestServedFromCacheEventArgs>? RequestServedFromCache
Event Type
RequestWillBeSent
Fired when page is about to send HTTP request.
public event EventHandler<RequestWillBeSentEventArgs>? RequestWillBeSent
Event Type
RequestWillBeSentExtraInfo
Fired when additional information about a requestWillBeSent event is available from the network stack. Not every requestWillBeSent event will have an additional requestWillBeSentExtraInfo fired for it, and there is no guarantee whether requestWillBeSent or requestWillBeSentExtraInfo will be fired first for the same request.
public event EventHandler<RequestWillBeSentExtraInfoEventArgs>? RequestWillBeSentExtraInfo
Event Type
ResourceChangedPriority
Fired when resource loading priority is changed
public event EventHandler<ResourceChangedPriorityEventArgs>? ResourceChangedPriority
Event Type
ResponseReceived
Fired when HTTP response is available.
public event EventHandler<ResponseReceivedEventArgs>? ResponseReceived
Event Type
ResponseReceivedEarlyHints
Fired when 103 Early Hints headers is received in addition to the common response. Not every responseReceived event will have an responseReceivedEarlyHints fired. Only one responseReceivedEarlyHints may be fired for eached responseReceived event.
public event EventHandler<ResponseReceivedEarlyHintsEventArgs>? ResponseReceivedEarlyHints
Event Type
ResponseReceivedExtraInfo
Fired when additional information about a responseReceived event is available from the network stack. Not every responseReceived event will have an additional responseReceivedExtraInfo for it, and responseReceivedExtraInfo may be fired before or after responseReceived.
public event EventHandler<ResponseReceivedExtraInfoEventArgs>? ResponseReceivedExtraInfo
Event Type
SignedExchangeReceived
Fired when a signed exchange was received over the network
public event EventHandler<SignedExchangeReceivedEventArgs>? SignedExchangeReceived
Event Type
TrustTokenOperationDone
Fired exactly once for each Trust Token operation. Depending on the type of the operation and whether the operation succeeded or failed, the event is fired before the corresponding request was sent or after the response was received.
public event EventHandler<TrustTokenOperationDoneEventArgs>? TrustTokenOperationDone
Event Type
WebSocketClosed
Fired when WebSocket is closed.
public event EventHandler<WebSocketClosedEventArgs>? WebSocketClosed
Event Type
WebSocketCreated
Fired upon WebSocket creation.
public event EventHandler<WebSocketCreatedEventArgs>? WebSocketCreated
Event Type
WebSocketFrameError
Fired when WebSocket message error occurs.
public event EventHandler<WebSocketFrameErrorEventArgs>? WebSocketFrameError
Event Type
WebSocketFrameReceived
Fired when WebSocket message is received.
public event EventHandler<WebSocketFrameReceivedEventArgs>? WebSocketFrameReceived
Event Type
WebSocketFrameSent
Fired when WebSocket message is sent.
public event EventHandler<WebSocketFrameSentEventArgs>? WebSocketFrameSent
Event Type
WebSocketHandshakeResponseReceived
Fired when WebSocket handshake response becomes available.
public event EventHandler<WebSocketHandshakeResponseReceivedEventArgs>? WebSocketHandshakeResponseReceived
Event Type
WebSocketWillSendHandshakeRequest
Fired when WebSocket is about to initiate handshake.
public event EventHandler<WebSocketWillSendHandshakeRequestEventArgs>? WebSocketWillSendHandshakeRequest
Event Type
WebTransportClosed
Fired when WebTransport is disposed.
public event EventHandler<WebTransportClosedEventArgs>? WebTransportClosed
Event Type
WebTransportConnectionEstablished
Fired when WebTransport handshake is finished.
public event EventHandler<WebTransportConnectionEstablishedEventArgs>? WebTransportConnectionEstablished
Event Type
WebTransportCreated
Fired upon WebTransport creation.
public event EventHandler<WebTransportCreatedEventArgs>? WebTransportCreated